Skip to content

WhatsApp Business Cloud API - Groups Join Requests API

Version

v23.0

Copy for LLM

View as Markdown

Download OpenAPI spec

The Groups API gives you simple functions to control groups through their lifecycle.

When you create a new group, an invite link is created for inviting participants to the group.

Since you cannot manually add participants to the group, simply send a message with your invite link to WhatsApp users who you would like to join the group.

Base URL

| | | | https://graph.facebook.com |

Endpoints

| | | | GET | /{Version}/{group_id}/join_requests | | POST | /{Version}/{group_id}/join_requests | | DELETE | /{Version}/{group_id}/join_requests |


GET /{Version}/{group_id}/join_requests

Get a list of open join requests for a group

Request Syntax

GET /{Version}/{group_id}/join_requests

Try it

Select language

cURLJavaScriptPython


curl --request GET \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/join_requests' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Header Parameters


User-Agentstring

The user agent string identifying the client software making the request.

Authorizationstring·required

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Path Parameters


Versionstring·required

group_idstring·required

Group ID

Responses


Get a list of open join requests for a group

200

List of join requests

Content Type: application/json

Schema: object

Show child attributes


dataarray of object

Show child attributes


data[]object

Show child attributes


join_request_idstring

Join request ID


wa_idstring

WhatsApp user ID


creation_timestampinteger

Unix timestamp indicating when the join request was created


pagingPagingInfo

Show child attributes


cursorsobject

Show child attributes


beforestring

Before cursor


afterstring

After cursor


previousstring

Previous page URL


nextstring

Next page URL

Select language

cURLJavaScriptPython


curl --request GET \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/join_requests' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

POST /{Version}/{group_id}/join_requests

Approve one or more join requests

Request Syntax

POST /{Version}/{group_id}/join_requests

Try it

Select language

cURLJavaScriptPython


curl --request POST \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/join_requests' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\""  
}

Header Parameters


User-Agentstring

The user agent string identifying the client software making the request.

Authorizationstring·required

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Content-TypeOne of "application/json", "application/x-www-form-urlencoded", "multipart/form-data"·required

Media type of the request body

Path Parameters


Versionstring·required

group_idstring·required

Group ID

Request BodyRequired


Content Type: application/json

Schema: object

Show child attributes


messaging_product"whatsapp"·required


join_requestsarray of string·required

Array of join request IDs to approve

Show child attributes


join_requests[]string

Join request ID

Responses


Approve one or more join requests

200

Join requests approval response

Content Type: application/json

Schema: object

Show child attributes


messaging_productstring


approved_join_requestsarray of string

Show child attributes


approved_join_requests[]string

ID of approved join request


failed_join_requestsarray of object

Show child attributes


failed_join_requests[]object

Show child attributes


join_request_idstring


errorsarray of Error

Show child attributes


errors[]Error

Show child attributes


codeinteger

Error code


messagestring

Error message


titlestring

Error title


error_dataobject

Show child attributes


detailsstring

Error details


errorsarray of Error

Show child attributes


errors[]Error

Show child attributes


codeinteger

Error code


messagestring

Error message


titlestring

Error title


error_dataobject

Show child attributes


detailsstring

Error details

Select language

cURLJavaScriptPython


curl --request POST \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/join_requests' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\""  
}

DELETE /{Version}/{group_id}/join_requests

Reject one or more join requests

Request Syntax

DELETE /{Version}/{group_id}/join_requests

Try it

Select language

cURLJavaScriptPython


curl --request DELETE \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/join_requests' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\""  
}

Header Parameters


User-Agentstring

The user agent string identifying the client software making the request.

Authorizationstring·required

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Content-TypeOne of "application/json", "application/x-www-form-urlencoded", "multipart/form-data"·required

Media type of the request body

Path Parameters


Versionstring·required

group_idstring·required

Group ID

Request BodyRequired


Content Type: application/json

Schema: object

Show child attributes


messaging_product"whatsapp"·required


join_requestsarray of string·required

Array of join request IDs to reject

Show child attributes


join_requests[]string

Join request ID

Responses


Reject one or more join requests

200

Join requests rejection response

Content Type: application/json

Schema: object

Show child attributes


messaging_productstring


rejected_join_requestsarray of string

Show child attributes


rejected_join_requests[]string

ID of rejected join request


failed_join_requestsarray of object

Show child attributes


failed_join_requests[]object

Show child attributes


join_request_idstring


errorsarray of Error

Show child attributes


errors[]Error

Show child attributes


codeinteger

Error code


messagestring

Error message


titlestring

Error title


error_dataobject

Show child attributes


detailsstring

Error details


errorsarray of Error

Show child attributes


errors[]Error

Show child attributes


codeinteger

Error code


messagestring

Error message


titlestring

Error title


error_dataobject

Show child attributes


detailsstring

Error details

Select language

cURLJavaScriptPython


curl --request DELETE \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/join_requests' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\""  
}

Authentication

| | | | Scheme | Type | Location | | bearerAuth | HTTP Bearer | Header: Authorization |

Usage Examples

bearerAuth:

Include Authorization: Bearer your-token-here in request headers

Global Authentication Requirements

All endpoints require:

bearerAuth

Unofficial mirror for reference/search purposes. All content originates from developers.facebook.com — see the source link at the top of each page. Machine-readable indexes: llms.txt · llms-full.txt · About